Skip to content

Bulk write 'Debtinvoiceevent'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
debt_invoiceobject(Debtinvoice)required
commentstring or null
event_typeinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Payment Plan
Value:0
category_descriptionstring or null, <= 255 characters
name_of_external_administratorstring or null, <= 255 characters
organizationobject or null(Organization)
status_descriptionstring or null, <= 255 characters
custom_idstring or null, <= 128 characters
]
POST
/accounting/debt/debtinvoiceevent/list/
curl -i -X POST \
  https://dev.api.pigello.io/accounting/debt/debtinvoiceevent/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "comment": "string",
      "event_type": 0,
      "category_description": "string",
      "name_of_external_administrator": "string",
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "debt_invoice": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "status_description": "string",
      "custom_id": "string"
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

debt_invoiceobject(Debtinvoice)required
commentstring or null
created_by_integration_userobject or null(Integrationuseragent)read-only
event_typeinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Payment Plan
Value:0
category_descriptionstring or null, <= 255 characters
name_of_external_administratorstring or null, <= 255 characters
created_by_organization_userobject or null(Organizationuser)read-only
organizationobject or null(Organization)
status_descriptionstring or null, <= 255 characters
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
]
Response
[ { "comment": "string", "created_by_integration_user": {}, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "event_type": 0, "category_description": "string", "name_of_external_administrator": "string", "created_by_organization_user": {}, "organization": {}, "debt_invoice": {}, "status_description": "string", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z" } ]